INTERFACE
SUBROUTINE BCASTCOV(klev,ksmax,pcovt,pcovv,pcovd,pcovq,pcovo,kproc)
USE PARKIND1, ONLY: JPIM, JPRB
USE MPL_MODULE
INTEGER(KIND=JPIM), INTENT(IN) :: klev,ksmax,kproc
REAL(KIND=JPRB), INTENT(INOUT) :: pcovt(klev+1,klev+1,0:ksmax)
REAL(KIND=JPRB), INTENT(INOUT) :: pcovv(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(INOUT) :: pcovd(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(INOUT) :: pcovq(klev,klev,0:ksmax)
REAL(KIND=JPRB), INTENT(INOUT) :: pcovo(klev,klev,0:ksmax)
END SUBROUTINE BCASTCOV
END INTERFACE
